﻿// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using System;
using System.Web.UI.WebControls;
using OpcLabs.EasyOpc.OperationModel;

namespace AutoRefreshWeb
{
    // ReSharper disable InconsistentNaming
    public partial class _Default : System.Web.UI.Page
    // ReSharper restore InconsistentNaming
    {
        // ReSharper disable InconsistentNaming
        protected void Page_Load(object sender, EventArgs e)
        // ReSharper restore InconsistentNaming
        {
            Read(TextBox1, "Simulation.Ramp (10 s)");
            Read(TextBox2, "Simulation.Random");
            Read(TextBox3, "Simulation.Incrementing (1 s)");
        }

        protected void Read([NotNull] TextBox textBox, [NotNull] string itemId)
        {
            var client = new EasyDAClient();
            try
            {
                object value = client.ReadItemValue("", "OPCLabs.KitServer.2", itemId);
                textBox.Text = (value == null) ? "" : value.ToString();
            }
            catch (OpcException e)
            {
                textBox.Text = "***" + e.GetBaseException().Message; 
            }
        }
    }
}
