﻿// WcfService1: A simple Web service using WCF technology. Provides a GetData method to read a value of an OPC item.
// Use WcfClient1 project (under Console folder) to test this Web service.

using OpcLabs.EasyOpc.DataAccess;

namespace WcfService1
{
    // NOTE: If you change the class name "Service1" here, you must also update the reference to "Service1" in Web.config and in the associated .svc file.
    public class Service1 : IService1
    {
        public string GetData()
        {
            var client = new EasyDAClient();
            object value = client.ReadItemValue("", "OPCLabs.KitServer.2", "Demo.Ramp");
            return (value == null) ? "" : value.ToString();
        }
    }
}
